---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libobjmonusage001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x500A0, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51FE0, symBinAddr: 0x8110, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x523D0, symBinAddr: 0x8500, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53370, symBinAddr: 0x94A0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53380, symBinAddr: 0x94B0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FD10, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FD14, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FD18, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FE70, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FF28, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FF2C, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FF30, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FF34, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FF38, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FF40, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FF58, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FF60, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FF68, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FF70, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FF78, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4FFBA, symBinAddr: 0x61AA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FFC0, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4FFC8, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4FFD8, symBinAddr: 0x61C8, symSize: 0x0 }
  - { offsetInCU: 0x9169, offset: 0x9169, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1600, symSize: 0x80 }
  - { offsetInCU: 0x91FE, offset: 0x91FE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1550, symSize: 0xB0 }
  - { offsetInCU: 0x9259, offset: 0x9259, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1450, symSize: 0x100 }
  - { offsetInCU: 0x94EC, offset: 0x94EC, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1680, symSize: 0x220 }
  - { offsetInCU: 0x96D1, offset: 0x96D1, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x18A0, symSize: 0xA0 }
  - { offsetInCU: 0x9784, offset: 0x9784, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1940, symSize: 0x110 }
  - { offsetInCU: 0x987A, offset: 0x987A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1A50, symSize: 0x150 }
  - { offsetInCU: 0x99AB, offset: 0x99AB, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1BA0, symSize: 0x30 }
  - { offsetInCU: 0x9A60, offset: 0x9A60, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1BD0, symSize: 0x150 }
  - { offsetInCU: 0x9C58, offset: 0x9C58, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1D20, symSize: 0x160 }
  - { offsetInCU: 0x9DE4, offset: 0x9DE4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1E80, symSize: 0x1B0 }
  - { offsetInCU: 0x9FFF, offset: 0x9FFF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2030, symSize: 0xA0 }
  - { offsetInCU: 0xA0CE, offset: 0xA0CE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x20D0, symSize: 0x20 }
  - { offsetInCU: 0xA105, offset: 0xA105, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x20F0, symSize: 0x20 }
  - { offsetInCU: 0xA13C, offset: 0xA13C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2110, symSize: 0x20 }
  - { offsetInCU: 0xA2AB, offset: 0xA2AB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2130, symSize: 0x1A0 }
  - { offsetInCU: 0xA5D1, offset: 0xA5D1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x22D0, symSize: 0x80 }
  - { offsetInCU: 0xA69A, offset: 0xA69A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2350, symSize: 0x6A0 }
  - { offsetInCU: 0xB22F, offset: 0xB22F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA0B0, symBinAddr: 0x3590, symSize: 0xB0 }
  - { offsetInCU: 0xB2A6, offset: 0xB2A6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x29F0, symSize: 0x70 }
  - { offsetInCU: 0xB362, offset: 0xB362, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2A60, symSize: 0xA0 }
  - { offsetInCU: 0xB461, offset: 0xB461, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2B00, symSize: 0x40 }
  - { offsetInCU: 0xB557, offset: 0xB557, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2B40, symSize: 0x2B0 }
  - { offsetInCU: 0xB8FD, offset: 0xB8FD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2DF0, symSize: 0xC0 }
  - { offsetInCU: 0xBA43, offset: 0xBA43, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2EB0, symSize: 0x10 }
  - { offsetInCU: 0xBB05, offset: 0xBB05, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2EC0, symSize: 0x220 }
  - { offsetInCU: 0xBE02, offset: 0xBE02, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x30E0, symSize: 0x10 }
  - { offsetInCU: 0xBE5F, offset: 0xBE5F, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x30F0, symSize: 0x110 }
  - { offsetInCU: 0xBFE2, offset: 0xBFE2, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D20, symBinAddr: 0x3200, symSize: 0x10 }
  - { offsetInCU: 0xC097, offset: 0xC097, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetObjectMonitorUsage_objmonusage001_check, symObjAddr: 0x9D30, symBinAddr: 0x3210, symSize: 0x370 }
  - { offsetInCU: 0xC407, offset: 0xC407, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetObjectMonitorUsage_objmonusage001_getResult, symObjAddr: 0xA0A0, symBinAddr: 0x3580, symSize: 0x10 }
  - { offsetInCU: 0xC43C, offset: 0xC43C, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA160, symBinAddr: 0x3640, symSize: 0x36A }
...
